import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { _depositslipExamine } from '@/api/depositslipManage'
import { reformateObjectRes } from '@/utils/index'

const useDepositslipManageStore = defineStore('depositslipManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 付款单 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 69
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 70
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 71
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 72
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 付款单审核
    depositslipExamine(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 106
        _depositslipExamine(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
  },
})

export default useDepositslipManageStore
